IC87501: NO WARNING OF BARFILE LEVEL BROKER.XML IN MQSIAPPLYBAROVERRIDE

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • At v7 when applying an override to a barfile which does not
    match a property found anywhere in the bar file the message
    "BIP1144W: Ignoring property override 'XYZ' in
    'META-INF/broker.xml'". In v8 it is possible to construct a
    bar file that contains only applications and libraries and
    therefore has no top level META-INF/broker.xml deployment
    descriptor. If mqsiapplybaroverride is run without the -r
    "recursive" flag then no warning is issued to indicate that no
    replacements have been made. This prevents automatic scripts
    from determining the correct status of the bar file. Since in
    this instance there is no deployment descriptor to apply the
    overrides to, this APAR will introduce a new warning message
    under this scenario to indicate that the current combination
    of command line arguments prevent any overrides from being
    applied.
    

Local fix

Problem summary

  • ****************************************************************
    USERS AFFECTED:
    All users of WebSphere Message Broker V8.0 or higher using the
    mqsiapplybaroverride command.
    
    
    Platforms affected:
    z/OS, MultiPlatform
    
    ****************************************************************
    PROBLEM SUMMARY:
    When applying bar file overrides using the
    mqsiapplybaroverride command it is possible to run the command
    on a bar file that contains only application and/or libraries.
    In this case if none of the flags -k, -r or -y are specified
    then no warning is given that no overrides will be performed
    because the command line arguments are not applicable to the bar
    file. This can lead the user to erroneously conclude that the
    bar file overrides have taken effect.
    

Problem conclusion

  • WebSphere Message Broker has been modified to display the
    following warning message when mqsiapplybaroverride is run
    against a bar file containing only applications and/or libraries
    without the appropriate command line options specified:
    
    BIP1055W: The broker archive (bar) file did not contain a top
    level deployment descriptor.
    
    The broker archive (bar) file did not contain a top level
    deployment descriptor. The command line options supplied to
    the command were not set to search for application or library
    level deployment descriptors. Any overrides have not been
    applied.
    
    Ensure the bar file contains a top level deployment descriptor
    or repeat the command with either the -k, -y or -r flags set.
    
    ---------------------------------------------------------------
    The fix is targeted for delivery in the following PTFs:
    
    Platform           v8.0
    --------           --------------------
    Multiplatforms     8.0.0.3
    
    The latest available maintenance can be obtained from
    'WebSphere Message Broker Recommended Fixes'
    http://www.ibm.com/support/docview.wss?rs=849&uid=swg27006041
    
    If the maintenance level is not yet available, information on
    its planned availability can be found in 'WebSphere Message
    Broker Planned Maintenance Release Dates'
    http://www-1.ibm.com/support/docview.wss?rs=849&uid=swg27006308
    ---------------------------------------------------------------
    

Temporary fix

Comments

APAR Information

  • APAR number

    IC87501

  • Reported component name

    WEB MESSAGE BRO

  • Reported component ID

    5724J0520

  • Reported release

    800

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2012-10-24

  • Closed date

    2013-04-29

  • Last modified date

    2013-04-29

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WEB MESSAGE BRO

  • Fixed component ID

    5724J0520

Applicable component levels

  • R800 PSY

       UP



Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere Message Broker

Software version:

8.0

Reference #:

IC87501

Modified date:

2013-04-29

Translate my page

Machine Translation

Content navigation